Patchwork [2/2] gst-fsl-plugins: Bump version and change URL to match other i.MX components

login
register
mail settings
Submitter Eric Nelson
Date Oct. 1, 2013, 6:06 p.m.
Message ID <1380650790-18097-3-git-send-email-eric.nelson@boundarydevices.com>
Download mbox | patch
Permalink /patch/279555/
State Superseded
Headers show

Comments

Eric Nelson - Oct. 1, 2013, 6:06 p.m.
Signed-off-by: Eric Nelson <eric.nelson@boundarydevices.com>
---
 package/gstreamer/gst-fsl-plugins/gst-fsl-plugins.mk | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)
Arnout Vandecappelle - Oct. 1, 2013, 8:48 p.m.
On 10/01/13 20:06, Eric Nelson wrote:
> Signed-off-by: Eric Nelson <eric.nelson@boundarydevices.com>
> ---
>   package/gstreamer/gst-fsl-plugins/gst-fsl-plugins.mk | 8 +++++---
>   1 file changed, 5 insertions(+), 3 deletions(-)
>
> diff --git a/package/gstreamer/gst-fsl-plugins/gst-fsl-plugins.mk b/package/gstreamer/gst-fsl-plugins/gst-fsl-plugins.mk
> index ccdb521..00c6acb 100644
> --- a/package/gstreamer/gst-fsl-plugins/gst-fsl-plugins.mk
> +++ b/package/gstreamer/gst-fsl-plugins/gst-fsl-plugins.mk
> @@ -4,9 +4,11 @@
>   #
>   ################################################################################
>
> -GST_FSL_PLUGINS_VERSION = 3.0.1
> -# No official download site from freescale, just this mirror
> -GST_FSL_PLUGINS_SITE = http://download.ossystems.com.br/bsp/freescale/source
> +include package/freescale-imx/freescale-imx.inc

  This is make, not C. You should never include the same file twice 
unless you _really_ know what you're doing.

  It is not a problem to define a variable in one file and use it in a 
completely different file. This is already done for instance with 
LINUX_DIR. The only potential problem is when you want to use the 
variable in a condition. But that is not the case here, so you can use 
FREESCALE_IMX_VERSION etc. below without this include statement, even if 
gst-fsl-plugins.mk is read before freescale-imx.mk.

  Regards,
  Arnout


> +
> +GST_FSL_PLUGINS_VERSION = $(FREESCALE_IMX_VERSION)
> +GST_FSL_PLUGINS_SITE = $(FREESCALE_IMX_SITE)
> +GST_FSL_PLUGINS_SOURCE = gst-fsl-plugins-$(GST_FSL_PLUGINS_VERSION).tar.gz
>
>   # Most is LGPLv2+, but some sources are copied from upstream and are
>   # LGPLv2.1+, which essentially makes it LGPLv2.1+
>

Patch

diff --git a/package/gstreamer/gst-fsl-plugins/gst-fsl-plugins.mk b/package/gstreamer/gst-fsl-plugins/gst-fsl-plugins.mk
index ccdb521..00c6acb 100644
--- a/package/gstreamer/gst-fsl-plugins/gst-fsl-plugins.mk
+++ b/package/gstreamer/gst-fsl-plugins/gst-fsl-plugins.mk
@@ -4,9 +4,11 @@ 
 #
 ################################################################################
 
-GST_FSL_PLUGINS_VERSION = 3.0.1
-# No official download site from freescale, just this mirror
-GST_FSL_PLUGINS_SITE = http://download.ossystems.com.br/bsp/freescale/source
+include package/freescale-imx/freescale-imx.inc
+
+GST_FSL_PLUGINS_VERSION = $(FREESCALE_IMX_VERSION)
+GST_FSL_PLUGINS_SITE = $(FREESCALE_IMX_SITE)
+GST_FSL_PLUGINS_SOURCE = gst-fsl-plugins-$(GST_FSL_PLUGINS_VERSION).tar.gz
 
 # Most is LGPLv2+, but some sources are copied from upstream and are
 # LGPLv2.1+, which essentially makes it LGPLv2.1+